diff --git python-dopy/python-dopy.spec python-dopy/python-dopy.spec.tmp
index 9716ed741e..b93d70b37d 100644
--- python-dopy/python-dopy.spec
+++ python-dopy/python-dopy.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-dopy
 Version:            0.3.7
-Release:            5%{?dist}
+Release:            6%{?dist}
 Summary:            Python client for the Digital Ocean API
 
 Group:              Development/Libraries
@@ -16,10 +16,17 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 BuildRequires:      python-requests
 
+%global _description\
+Digital Ocean API Python Wrapper
+
+%description %_description
+
+%package -n python2-dopy
+Summary: %summary
 Requires:           python-requests
+%{?python_provide:%python_provide python2-dopy}
 
-%description
-Digital Ocean API Python Wrapper
+%description -n python2-dopy %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -40,12 +47,16 @@ rm -rf %{modname}.egg-info
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-dopy
 %doc README.rst LICENSE CHANGES
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7-6
+- Python 2 subpackage renamed to python2-dopy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dpath/python-dpath.spec python-dpath/python-dpath.spec.tmp
index f074cd9e2f..5a3ba39eb4 100644
--- python-dpath/python-dpath.spec
+++ python-dpath/python-dpath.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-dpath
 Version:        1.4.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        A library for searching dictionaries using XPath-like expressions
 License:        MIT
 URL:            https://github.com/akesterson/dpath-python
@@ -23,15 +23,23 @@ BuildRequires:  python3-setuptools
 %endif # if with_python3
 
 
-%description
-A python library for accessing and searching dictionaries via /slashed/paths ala
-xpath
-
-Basically it lets you glob over a dictionary as if it were a filesystem. It
-allows you to specify globs (ala the bash eglob syntax, through some advanced
-fnmatch.fnmatch magic) to access dictionary elements, and provides some facility
+%global _description\
+A python library for accessing and searching dictionaries via /slashed/paths ala\
+xpath\
+\
+Basically it lets you glob over a dictionary as if it were a filesystem. It\
+allows you to specify globs (ala the bash eglob syntax, through some advanced\
+fnmatch.fnmatch magic) to access dictionary elements, and provides some facility\
 for filtering those results.
 
+%description %_description
+
+%package -n python2-dpath
+Summary: %summary
+%{?python_provide:%python_provide python2-dpath}
+
+%description -n python2-dpath %_description
+
 %package -n python3-dpath
 Summary:        A python3 library for searching dictionaries using XPath-like expressions
 
@@ -78,7 +86,7 @@ popd
 
 %{__python} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-dpath
 %doc LICENSE.txt README.rst
 %{python_sitelib}/dpath*
 
@@ -90,6 +98,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-8
+- Python 2 subpackage renamed to python2-dpath
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dpkt/python-dpkt.spec python-dpkt/python-dpkt.spec.tmp
index b1ade0177d..3e7b8e8317 100644
--- python-dpkt/python-dpkt.spec
+++ python-dpkt/python-dpkt.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-dpkt
 Version:        1.8.8
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Simple packet creation/parsing library
 
 Group:          Development/Libraries
@@ -19,9 +19,17 @@ BuildRequires:  python-tox
 BuildRequires:  python2-coverage
 
 
-%description
-Fast, simple packet creation and parsing library
-with definitions for the basic TCP/IP protocols. 
+%global _description\
+Fast, simple packet creation and parsing library\
+with definitions for the basic TCP/IP protocols.
+
+%description %_description
+
+%package -n python2-dpkt
+Summary: %summary
+%{?python_provide:%python_provide python2-dpkt}
+
+%description -n python2-dpkt %_description
 
 %prep
 %setup -q -n dpkt-%{version}
@@ -38,12 +46,16 @@ with definitions for the basic TCP/IP protocols.
 #tox -e py27 --sitepackages
 
 
-%files
+%files -n python2-dpkt
 %doc AUTHORS CHANGES LICENSE README.rst README.md examples
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.8-3
+- Python 2 subpackage renamed to python2-dpkt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.8-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dslib/python-dslib.spec python-dslib/python-dslib.spec.tmp
index 51edeb4b48..b7e3cafeb7 100644
--- python-dslib/python-dslib.spec
+++ python-dslib/python-dslib.spec.tmp
@@ -1,6 +1,6 @@
 Name:          python-dslib
 Version:       3.1
-Release:       6%{?dist}
+Release:       7%{?dist}
 Summary:       A Python library for accessing Czech Databox (Datové schránky)
 Group:         Development/Libraries
 License:       LGPLv2+
@@ -8,12 +8,20 @@ URL:           http://labs.nic.cz/datove-schranky/
 Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/dslib-%{version}.tar.gz
 BuildArch:     noarch
 BuildRequires: python-setuptools
-Requires:      pyOpenSSL, python-pyasn1, python-sudsds
 
-%description
-dslib is a Python library for accessing a 'Databox' - an electronic
+%global _description\
+dslib is a Python library for accessing a 'Databox' - an electronic\
 communication interface endorsed by the Czech government.
 
+%description %_description
+
+%package -n python2-dslib
+Summary: %summary
+Requires:      pyOpenSSL, python-pyasn1, python-sudsds
+%{?python_provide:%python_provide python2-dslib}
+
+%description -n python2-dslib %_description
+
 %prep
 %setup -q -n dslib-%{version}
 
@@ -26,12 +34,16 @@ CFLAGS="%{optflags}" %{__python} setup.py build
 # Remove wrongly installed documents, they will be correctly installed later
 rm -f %{buildroot}%{_datadir}/dslib/{README,LICENSE.txt}
 
-%files
+%files -n python2-dslib
 %doc LICENSE.txt README.txt
 %{python_sitelib}/*
 %{_datadir}/dslib
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1-7
+- Python 2 subpackage renamed to python2-dslib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dtopt/python-dtopt.spec python-dtopt/python-dtopt.spec.tmp
index 0430f20ae1..5f3072d655 100644
--- python-dtopt/python-dtopt.spec
+++ python-dtopt/python-dtopt.spec.tmp
@@ -7,7 +7,7 @@
 Name:           python-dtopt
 Summary:        Add options to doctest examples while they are running
 Version:        0.1
-Release:        23%{?dist}
+Release:        24%{?dist}
 License:        MIT
 Group:          System Environment/Libraries
 URL:            http://pypi.python.org/pypi/dtopt/
@@ -22,15 +22,23 @@ BuildRequires:  python3-setuptools
 %endif
 
 
-%description
-dtopts adds options to doctest examples while they are running. When
-using the doctest module it is often convenient to use the ELLIPSIS
-option, which allows you to use ... as a wildcard. But you either have
-to setup the test runner to use this option, or you must put #doctest:
-+ELLIPSIS on every example that uses this feature. dtopt lets you enable
-this option globally from within a doctest, by doing:
+%global _description\
+dtopts adds options to doctest examples while they are running. When\
+using the doctest module it is often convenient to use the ELLIPSIS\
+option, which allows you to use ... as a wildcard. But you either have\
+to setup the test runner to use this option, or you must put #doctest:\
++ELLIPSIS on every example that uses this feature. dtopt lets you enable\
+this option globally from within a doctest, by doing:\
 >>> from dtopt import ELLIPSIS
 
+%description %_description
+
+%package -n python2-dtopt
+Summary: %summary
+%{?python_provide:%python_provide python2-dtopt}
+
+%description -n python2-dtopt %_description
+
 %if 0%{?with_python3}
 %package -n python3-dtopt
 Summary:        Add options to doctest examples while they are running
@@ -84,7 +92,7 @@ popd
 %clean
 %{__rm} -rf %{buildroot}
 
-%files
+%files -n python2-dtopt
 %defattr(-,root,root,-)
 %doc docs/*
 %{python_sitelib}/dtopt/
@@ -98,6 +106,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-24
+- Python 2 subpackage renamed to python2-dtopt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-23
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dumptruck/python-dumptruck.spec python-dumptruck/python-dumptruck.spec.tmp
index 049286208e..66ec8d5a5d 100644
--- python-dumptruck/python-dumptruck.spec
+++ python-dumptruck/python-dumptruck.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-dumptruck
 Version:        0.1.6
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Relaxing interface to SQLite
 
 License:        MIT
@@ -10,10 +10,18 @@ Source0:        https://pypi.python.org/packages/source/d/dumptruck/dumptruck-%{
 BuildArch:      noarch
 BuildRequires:  python2-devel
 
-%description
-DumpTruck is a document-like interface to a SQLite database.
+%global _description\
+DumpTruck is a document-like interface to a SQLite database.\
 
 
+%description %_description
+
+%package -n python2-dumptruck
+Summary: %summary
+%{?python_provide:%python_provide python2-dumptruck}
+
+%description -n python2-dumptruck %_description
+
 %prep
 %setup -q -n dumptruck-%{version}
 find -name '*.py' |xargs sed '/^#!/d' -i
@@ -27,12 +35,16 @@ find -name '*.py' |xargs sed '/^#!/d' -i
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-dumptruck
 %{python2_sitelib}/*
 %doc README.txt
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-9
+- Python 2 subpackage renamed to python2-dumptruck
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-durus/python-durus.spec python-durus/python-durus.spec.tmp
index 60d0d3c767..2789fabc58 100644
--- python-durus/python-durus.spec
+++ python-durus/python-durus.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-durus
 Version:        3.9
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        A Python Object Database
 License:        CNRI
 URL:            http://www.mems-exchange.org/software/durus/
@@ -8,15 +8,23 @@ Source0:        https://pypi.python.org/packages/source/D/Durus/Durus-%{version}
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Durus is a persistent object system for applications written in the Python
-programming language. It offers an easy way to use and maintain a consistent
-collection of object instances used by one or more processes. Access and change
-of a persistent instances is managed through a cached Connection instance which
-includes commit() and abort() methods so that changes are transactional.
-Durus is best suited to collections of less than a million instances with
+%global _description\
+Durus is a persistent object system for applications written in the Python\
+programming language. It offers an easy way to use and maintain a consistent\
+collection of object instances used by one or more processes. Access and change\
+of a persistent instances is managed through a cached Connection instance which\
+includes commit() and abort() methods so that changes are transactional.\
+Durus is best suited to collections of less than a million instances with\
 relatively stable state.
 
+%description %_description
+
+%package -n python2-durus
+Summary: %summary
+%{?python_provide:%python_provide python2-durus}
+
+%description -n python2-durus %_description
+
 %prep
 %setup -qn Durus-%{version}
 
@@ -26,13 +34,17 @@ CFLAGS="%{optflags}" %{__python2} setup.py build
 %install
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot} --single-version-externally-managed
 
-%files
+%files -n python2-durus
 %doc doc/ *.txt
 %{_bindir}/durus
 %{python2_sitearch}/Durus-%{version}-py%{python2_version}.egg-info/
 %{python2_sitearch}/durus/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.9-15
+- Python 2 subpackage renamed to python2-durus
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-easygui/python-easygui.spec python-easygui/python-easygui.spec.tmp
index 8fd7a14870..3169d73567 100644
--- python-easygui/python-easygui.spec
+++ python-easygui/python-easygui.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:           python-easygui
 Version:        0.96
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Very simple, very easy GUI programming in Python
 
 Group:          Development/Languages
@@ -33,24 +33,32 @@ BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 %endif
 BuildRequires: python-setuptools
-Requires:       python-setuptools
-Requires:       tkinter
 
-%description
-Experienced Pythonistas need support for quick and dirty GUI features. New 
-Python programmers need GUI capabilities that don't require any knowledge 
-of Tkinter, frames, widgets, callbacks or lambda. This is what EasyGUI 
-provides. Using EasyGUI, all GUI interactions are invoked by simple 
-function calls.
+%global _description\
+Experienced Pythonistas need support for quick and dirty GUI features. New\
+Python programmers need GUI capabilities that don't require any knowledge\
+of Tkinter, frames, widgets, callbacks or lambda. This is what EasyGUI\
+provides. Using EasyGUI, all GUI interactions are invoked by simple\
+function calls.\
+\
+EasyGUI is different from other GUIs in that EasyGUI is NOT event-driven.\
+It allows you to program in a traditional linear fashion, and to put up\
+dialogs for simple input and output when you need to. If you have not yet\
+learned the event-driven paradigm for GUI programming, EasyGUI will allow\
+you to be productive with very basic tasks immediately. Later, if you\
+wish to make the transition to an event-driven GUI paradigm, you can do\
+so with a more powerful GUI package such as anygui, PythonCard, Tkinter,\
+wxPython, etc.
+
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+Requires:       tkinter
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-%{upstream_name}}
 
-EasyGUI is different from other GUIs in that EasyGUI is NOT event-driven. 
-It allows you to program in a traditional linear fashion, and to put up 
-dialogs for simple input and output when you need to. If you have not yet 
-learned the event-driven paradigm for GUI programming, EasyGUI will allow 
-you to be productive with very basic tasks immediately. Later, if you 
-wish to make the transition to an event-driven GUI paradigm, you can do 
-so with a more powerful GUI package such as anygui, PythonCard, Tkinter, 
-wxPython, etc. 
+%description -n python2-%{upstream_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{upstream_name}
@@ -115,7 +123,7 @@ install -m 644 %{SOURCE1} .
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-%{upstream_name}
 %defattr(-,root,root,-)
 %doc easygui_license_info.txt cookbook/ easygui_pydoc.html easygui_version_info.html epydoc/ faq/ pydoc/ tutorial/
 %doc easygui-LICENSE.txt
@@ -131,6 +139,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.96-18
+- Python 2 subpackage renamed to python2-easygui
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.96-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-editdist/python-editdist.spec python-editdist/python-editdist.spec.tmp
index 1a5c9d618a..4744400366 100644
--- python-editdist/python-editdist.spec
+++ python-editdist/python-editdist.spec.tmp
@@ -1,16 +1,24 @@
 Summary: CPython module to quickly calculate Levenshtein's edit distance
 Name: python-editdist
 Version: 0.3
-Release: 14%{?dist}
+Release: 15%{?dist}
 Source0: http://py-editdist.googlecode.com/files/py-editdist-%{version}.tar.gz
 License: BSD and ISC
 Group: Development/Libraries
 BuildRequires: python-devel python-setuptools
 URL: http://code.google.com/p/py-editdist/
 
-%description
-"editdist" is a CPython module that calculates the Levenshtein edit
-distance between two strings. 
+%global _description\
+"editdist" is a CPython module that calculates the Levenshtein edit\
+distance between two strings.
+
+%description %_description
+
+%package -n python2-editdist
+Summary: %summary
+%{?python_provide:%python_provide python2-editdist}
+
+%description -n python2-editdist %_description
 
 %prep
 %setup -q -n py-editdist-%{version}
@@ -24,11 +32,15 @@ PYTHONPATH=%{buildroot}/%{python_sitearch} %{__python} test.py
 %install
 %{__python} setup.py install -O1 --root=%{buildroot}
 
-%files
+%files -n python2-editdist
 %{python_sitearch}/editdist*
 %doc LICENSE README TODO ChangeLog 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-15
+- Python 2 subpackage renamed to python2-editdist
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-egenix-mx-base/python-egenix-mx-base.spec python-egenix-mx-base/python-egenix-mx-base.spec.tmp
index 34f7d7d296..e80fb4107c 100644
--- python-egenix-mx-base/python-egenix-mx-base.spec
+++ python-egenix-mx-base/python-egenix-mx-base.spec.tmp
@@ -1,7 +1,7 @@
 Summary:  A collection of Python software tools
 Name: python-egenix-mx-base
 Version: 3.2.9
-Release: 4%{?dist}
+Release: 5%{?dist}
 URL: http://www.egenix.com/products/python/mxBase/
 Source0: http://downloads.egenix.com/python/egenix-mx-base-%{version}.tar.gz
 License: eGenix
@@ -9,8 +9,6 @@ Group: Development/Libraries
 BuildRequires: python2-devel >= 2.7
 
 # For name change from mx to python-mx
-Provides: mx = %{version}-%{release}
-Obsoletes: mx < 3.2.3-4
 
 # Install to platform lib directory
 Patch1: mx-3.1.1-lib64.patch
@@ -21,10 +19,20 @@ Patch1: mx-3.1.1-lib64.patch
 %filter_setup
 }
 
-%description
-The mx extensions for Python are a collection of Python software tools
+%global _description\
+The mx extensions for Python are a collection of Python software tools\
 which enhance Python's usability in many areas.
 
+%description %_description
+
+%package -n python2-egenix-mx-base
+Summary: %summary
+Obsoletes: mx < 3.2.3-4
+Provides: mx = %{version}-%{release}
+%{?python_provide:%python_provide python2-egenix-mx-base}
+
+%description -n python2-egenix-mx-base %_description
+
 %package devel
 Summary: Development files for %{name}
 Group: Development/Libraries
@@ -102,7 +110,7 @@ rm -rf examples/*.pyo
 # Fixup permissions
 find %{buildroot}%{python_sitearch}/mx/ -name \*.so -exec chmod 755 {} \;
 
-%files 
+%files -n python2-egenix-mx-base
 %doc COPYRIGHT LICENSE README
 %{python_sitearch}/mx/
 %{python_sitearch}/egenix_mx_base*.egg-info
@@ -114,6 +122,10 @@ find %{buildroot}%{python_sitearch}/mx/ -name \*.so -exec chmod 755 {} \;
 %doc docs/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.9-5
+- Python 2 subpackage renamed to python2-egenix-mx-base
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.9-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-elasticsearch/python-elasticsearch.spec python-elasticsearch/python-elasticsearch.spec.tmp
index 09e85f520a..cbd39e01fa 100644
--- python-elasticsearch/python-elasticsearch.spec
+++ python-elasticsearch/python-elasticsearch.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-elasticsearch
 Version:        2.4.0
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Client for Elasticsearch
 
 License:        ASL 2.0
@@ -13,8 +13,6 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 BuildRequires:  python2-setuptools
-Requires:       python2-thrift
-Requires:       python2-urllib3
 
 %if %{with python3}
 BuildRequires:  python3-devel
@@ -22,19 +20,29 @@ BuildRequires:  python3-setuptools
 # optional thrift not supported on Python 3
 %endif
 
-%description
-Low level client for Elasticsearch. It's goal is to provide common ground
-for all Elasticsearch-related code in Python. The client's features include:
-
-- Translating basic Python data types to and from json
-- Configurable automatic discovery of cluster nodes
-- Persistent connections
-- Load balancing (with pluggable selection strategy) across all available nodes
-- Failed connection penalization (time based - failed connections won't be
-  retried until a timeout is reached)
-- Thread safety
+%global _description\
+Low level client for Elasticsearch. It's goal is to provide common ground\
+for all Elasticsearch-related code in Python. The client's features include:\
+\
+- Translating basic Python data types to and from json\
+- Configurable automatic discovery of cluster nodes\
+- Persistent connections\
+- Load balancing (with pluggable selection strategy) across all available nodes\
+- Failed connection penalization (time based - failed connections won't be\
+  retried until a timeout is reached)\
+- Thread safety\
 - Pluggable architecture
 
+%description %_description
+
+%package -n python2-%{tarball_name}
+Summary: %summary
+Requires:       python2-urllib3
+Requires:       python2-thrift
+%{?python_provide:%python_provide python2-%{tarball_name}}
+
+%description -n python2-%{tarball_name} %_description
+
 %if %{with python3}
 %package -n python3-%{tarball_name}
 Summary:        Python 3 Client for Elasticsearch
@@ -82,7 +90,7 @@ rm -fr %{tarball_name}.egg-info
 # repository existing on the same level", and it looks like they also
 # require a running elasticsearch server
 
-%files
+%files -n python2-%{tarball_name}
 %{python2_sitelib}/%{tarball_name}
 %{python2_sitelib}/%{tarball_name}-%{version}-py2.?.egg-info
 %doc README
@@ -97,6 +105,10 @@ rm -fr %{tarball_name}.egg-info
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.0-5
+- Python 2 subpackage renamed to python2-elasticsearch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-elements/python-elements.spec python-elements/python-elements.spec.tmp
index a01008280a..059f3c8358 100644
--- python-elements/python-elements.spec
+++ python-elements/python-elements.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:           python-elements
 Version:        0.13
-Release:        14.%{svndate}svn%{?dist}
+Release:        15.%{svndate}svn%{?dist}
 Summary:        A 2D Physics API for Python
 
 Group:          Development/Libraries
@@ -23,13 +23,21 @@ Source0:        %{tarfile}
 BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-Requires:       pybox2d
 
-%description
-An easy to use API for integrating 2D physics (with pybox2d) into own
-python ideas, that includes user interfaces & simulations, as well as
-teaching & learning tools.
+%global _description\
+An easy to use API for integrating 2D physics (with pybox2d) into own\
+python ideas, that includes user interfaces & simulations, as well as\
+teaching & learning tools.\
+
+
+%description %_description
 
+%package -n python2-elements
+Summary: %summary
+Requires:       pybox2d
+%{?python_provide:%python_provide python2-elements}
+
+%description -n python2-elements %_description
 
 %prep
 %setup -q
@@ -46,13 +54,17 @@ sed -i elements/elements.py -e 1d
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-elements
 %defattr(-,root,root,-)
 %doc CREDITS LICENSE README
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13-15.20100110svn
+- Python 2 subpackage renamed to python2-elements
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-14.20100110svn
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-elfdata/python-elfdata.spec python-elfdata/python-elfdata.spec.tmp
index b76518cb69..998cdadca9 100644
--- python-elfdata/python-elfdata.spec
+++ python-elfdata/python-elfdata.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-elfdata
 Version:        0.6
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Python wrapper to get ELF data
 
 Group:          Development/Languages
@@ -15,9 +15,17 @@ Source0:        http://kushal.fedorapeople.org/packages/elfdata-%{version}.tar.g
 
 BuildRequires:  python2-devel, python-setuptools, elfutils-devel, elfutils-libelf-devel
 
-%description
+%global _description\
 Python wrapper to get ELF data.
 
+%description %_description
+
+%package -n python2-elfdata
+Summary: %summary
+%{?python_provide:%python_provide python2-elfdata}
+
+%description -n python2-elfdata %_description
+
 %prep
 %setup -q -n elfdata-%{version}
 
@@ -30,13 +38,17 @@ Python wrapper to get ELF data.
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-elfdata
 %defattr(-,root,root,-)
 %doc COPYING
 %{python_sitearch}/elfdata*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-7
+- Python 2 subpackage renamed to python2-elfdata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-elixir/python-elixir.spec python-elixir/python-elixir.spec.tmp
index 23148b59c5..6aed8cb7eb 100644
--- python-elixir/python-elixir.spec
+++ python-elixir/python-elixir.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-elixir
 Version:        0.7.1
-Release:        20%{?dist}
+Release:        21%{?dist}
 Summary:        Declarative mapper for SQLAlchemy
 
 Group:          Development/Languages
@@ -22,20 +22,27 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-sqlalchemy
-Requires:       python-crypto
+
+%global _description\
+Elixir is a declarative layer on top of SQLAlchemy. It is a fairly thin\
+wrapper, which provides the ability to define model objects following the\
+Active Record design pattern, and using a DSL syntax similar to that of the\
+Ruby on Rails ActiveRecord system.\
+\
+Elixir does not intend to replace SQLAlchemy's core features, but instead\
+focuses on providing a simpler syntax for defining model objects when you do\
+not need the full expressiveness of SQLAlchemy's manual mapper definitions.\
 
 
-%description
-Elixir is a declarative layer on top of SQLAlchemy. It is a fairly thin
-wrapper, which provides the ability to define model objects following the
-Active Record design pattern, and using a DSL syntax similar to that of the
-Ruby on Rails ActiveRecord system.
+%description %_description
 
-Elixir does not intend to replace SQLAlchemy's core features, but instead
-focuses on providing a simpler syntax for defining model objects when you do
-not need the full expressiveness of SQLAlchemy's manual mapper definitions.
+%package -n python2-elixir
+Summary: %summary
+Requires:       python-crypto
+Requires:       python-sqlalchemy
+%{?python_provide:%python_provide python2-elixir}
 
+%description -n python2-elixir %_description
 
 %prep
 %setup -q -n Elixir-%{version}
@@ -56,13 +63,17 @@ rm -rf %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-elixir
 %defattr(-,root,root,-)
 %doc README LICENSE
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-21
+- Python 2 subpackage renamed to python2-elixir
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-20
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-emcee/python-emcee.spec python-emcee/python-emcee.spec.tmp
index 4b61b3fcda..cb64026c80 100644
--- python-emcee/python-emcee.spec
+++ python-emcee/python-emcee.spec.tmp
@@ -9,7 +9,7 @@ used in several published projects in the Astrophysics literature.
 
 Name: python-%{srcname}
 Version: 2.2.1
-Release: 4%{?dist}
+Release: 5%{?dist}
 Summary: The Python ensemble sampling toolkit for affine-invariant MCMC
 License: MIT
 
@@ -18,14 +18,22 @@ Source0: https://pypi.io/packages/source/e/emcee/emcee-%{version}.tar.gz
 BuildRequires: python2-devel 
 BuildRequires: python-nose numpy
 BuildArch: noarch
-Requires: numpy
 
 %{?python_provide:%python_provide python-%{srcname}}
 
 
-%description
+%global _description\
 %{common_description}
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires: numpy
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
 Summary: The Python ensemble sampling toolkit for affine-invariant MCMC
@@ -83,7 +91,7 @@ popd
 %endif # with_python3
 
  
-%files
+%files -n python2-%{srcname}
 %doc AUTHORS.rst HISTORY.rst README.rst 
 %license LICENSE
 %{python2_sitelib}/*
@@ -96,6 +104,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.1-5
+- Python 2 subpackage renamed to python2-emcee
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
